| Home | Libraries | People | FAQ | More

## Function template make_managed_weak_ptr

boost::interprocess::make_managed_weak_ptr

## Synopsis

    template<typename T, typename ManagedMemory>
      managed_weak_ptr< T, ManagedMemory >::type
      make_managed_weak_ptr(T * constructed_object,
                            ManagedMemory & managed_memory);

## Description

Returns an instance of a weak pointer constructed with the default allocator and deleter from a pointer of type T that has been allocated in the passed managed segment